Bug 430335 - gnuplot does not have wxGTK terminal
gnuplot does not have wxGTK terminal
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-26 05:50 EST by Gen Zhang
Modified: 2008-01-29 05:29 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-01-28 08:24:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
diff to .spec file to generate gnuplot with wxGTK terminal (1.10 KB, patch)
2008-01-26 05:50 EST, Gen Zhang
no flags Details | Diff

  None (edit)
Description Gen Zhang 2008-01-26 05:50:58 EST
Description of problem:
Gnuplot has a new GTK-based terminal, which is much more usable.

Version-Release number of selected component (if applicable):
gnuplot-4.2.0-7

I've attached the patch to gnuplot.spec that makes it build with the terminal.
It works on my machine...
Comment 1 Gen Zhang 2008-01-26 05:50:58 EST
Created attachment 293046 [details]
diff to .spec file to generate gnuplot with wxGTK terminal
Comment 2 Ivana Varekova 2008-01-28 08:24:44 EST
Fixed in gnuplot-4.2.2-8.fc9.
Comment 3 Michael Schwendt 2008-01-28 09:04:36 EST
+Requires: wxGTK

That one is wrong. Don't hardcode it like that.
Dependencies on the wxGTK SONAMEs are automatic:
http://koji.fedoraproject.org/koji/rpminfo?rpmID=382707
Comment 4 Ivana Varekova 2008-01-29 05:29:40 EST
Thanks.

Note You need to log in before you can comment on or make changes to this bug.